import React, { Component } from "react";

import { Fallback } from "./Fallback";

class ErrorBoundary extends Component {
  state = {
    error: null
  };

  static getDerivedStateFromError(error) {
    return { error };
  }

  render() {
    const { error } = this.state;

    if (error) {
      return <Fallback />;
    }
    return this.props.children;
  }
}

export default ErrorBoundary;
